Bug 466727 - Package oro-2.0.8-1jpp_2rh.noarch.rpm is both in RHEL 4 and RHEL 5 composes
Package oro-2.0.8-1jpp_2rh.noarch.rpm is both in RHEL 4 and RHEL 5 composes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Release (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Pazdziora
Steve Salevan
:
Depends On:
Blocks: 446877
  Show dependency treegraph
 
Reported: 2008-10-13 05:37 EDT by Jan Pazdziora
Modified: 2008-11-05 13:42 EST (History)
2 users (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:42:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Pazdziora 2008-10-13 05:37:09 EDT
Description of problem:

Package oro-2.0.8-1jpp_2rh.noarch.rpm is both in RHEL 4 and RHEL 5 composes. That is not good because we will need different signature keys for those different OSes.

Version-Release number of selected component (if applicable):

Satellite-5.2.0-RHEL4-re20081010.0
Satellite-5.2.0-RHEL5-re20081010.0

How reproducible:

Deterministic.

Steps to Reproduce:
1. $ ls -la /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL5-re20081010.0/i386/i386/Satellite/oro-2.0.8-1jpp_2rh.noarch.rpm
-rw-r--r-- 3229 root root 73205 2005-08-04 20:51 /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL5-re20081010.0/i386/i386/Satellite/oro-2.0.8-1jpp_2rh.noarch.rpm
$ ls -la /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20081010.0/i386/i386/Satellite/oro-2.0.8-1jpp_2rh.noarch.rpm
-rw-r--r-- 3229 root root 73205 2005-08-04 20:51 /mnt/redhat/devel/candidate-trees/Satellite-5.2.0-RHEL4-re20081010.0/i386/i386/Satellite/oro-2.0.8-1jpp_2rh.noarch.rpm
  
Actual results:

The same file (same name and all).

Expected results:

The files should not be the same.

Additional info:
Comment 1 Jan Pazdziora 2008-10-13 05:48:48 EDT
On freshly installed Satellite 5.2.0 on RHEL 5.2, the
oro-2.0.8-1jpp_2rh.noarch.rpm is not installed. The package jakarta-oro from RHEL 5 channel is installed instead:

# rpm -q oro
package oro is not installed
# rpm -q --whatprovides oro
jakarta-oro-2.0.8-3jpp.1.s390x
# rpm -q --provides jakarta-oro-2.0.8-3jpp.1.s390x
jakarta-oro-2.0.8.jar.so()(64bit)  
oro = 0:2.0.8-3jpp.1
jakarta-oro = 0:2.0.8-3jpp.1
#

Therefore it is safe to remove this package from Satellite 5.2.0 RHEL 5
compose.
Comment 2 Jan Pazdziora 2008-10-13 11:51:57 EDT
Checking in comps-rhel5-rhnsat52.xml;
/cvs/devel/comps/comps-rhel5-rhnsat52.xml,v  <--  comps-rhel5-rhnsat52.xml
new revision: 1.28; previous revision: 1.27
done
Comment 3 Jan Pazdziora 2008-10-14 07:30:20 EDT
New composes Satellite-5.2.0-RHEL4-re20081014.1 and Satellite-5.2.0-RHEL5-re20081014.1 were made, moving ON_QA.
Comment 4 Steve Salevan 2008-10-14 12:07:35 EDT
Package was not present in latest RHEL5 compose under any architecture.
Package was present in latest RHEL4 compose under every architecture.
Verified that jakarta-oro was present in RHEL5 RHN repos.

Moving to VERIFIED.
Comment 5 Jeff Browning 2008-10-21 13:05:55 EDT
Verified on latest composes.
Comment 6 Brandon Perkins 2008-11-05 13:42:40 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.